🚀 go-pugleaf

RetroBBS NetNews Server

Inspired by RockSolid Light RIP Retro Guy

Article View: demon.ip.developers
Article #573

Re: Pop3 problem

#573
From: Richard Clayton
Date: Mon, 07 Apr 1997 00:00
25 lines
1325 bytes
In article <3349403b@gauss.demon.co.uk>, Andrew Bennett
<ben@gauss.demon.co.uk> writes

> Is there any general way to find the intended recipient of a message
>when using pop3 ?

no

> For Demon's server I can look for the address after
>the string "by mailstore for ", but there are two problems..
>
>a) Demon may change this in the future.

It conforms to a standard format  - so this seems unlikely. You should
parse it properly of course....

You'll find the syntax in RFC821 and RFC822 ... different in each place.
RFC1123 modifies it as well. That's the nice thing about standards,
having so many to choose from.

-- 
richard                      richard.clayton    @    T U R N P I K E .com
                                                     tel: +44 1306 732300
"Assembly of Japanese bicycle require great peace of mind" quoted in ZAMM
Technical Details
Message-ID: <eyUIzoB8cRSzEAEN@turnpike.com>
Path: arc1-ca.pugleaf.net!unknown!not-for-mail
References: <3349403b@gauss.demon.co.uk>

Show Full Headers
Complete Article Headers
X-Google-Language: ENGLISH,ASCII-7-bit
X-Google-Thread: 10bb05,9af033a32e360b8e,start
X-Google-Attributes: gid10bb05,public
From: Richard Clayton <richard@turnpike.com>
Subject: Re: Pop3 problem
Date: 1997/04/07
Message-ID: <eyUIzoB8cRSzEAEN@turnpike.com>
X-Deja-AN: 231318582
Distribution: world
X-NNTP-Posting-Host: pillar.turnpike.com
References: <3349403b@gauss.demon.co.uk>
Organization: Turnpike Ltd
Newsgroups: demon.ip.developers